"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ensureComponentsListExists = exports.isString = exports.encodeFilePath = exports.toUnixPath = exports.uniqueId = exports.getNormalizedVueFileContent = void 0;
const fs_extra_1 = require("fs-extra");
const path_1 = require("path");
var builder_utils_1 = require("@ewizardjs/builder-utils");
Object.defineProperty(exports, "getNormalizedVueFileContent", { enumerable: true, get: function () { return builder_utils_1.getNormalizedVueFileContent; } });
function uniqueId(length = 8, alphabet = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ') {
    let uniqueId = '';
    while (uniqueId.length < length) {
        uniqueId += alphabet.charAt(Math.floor(Math.random() * alphabet.length));
    }
    return uniqueId;
}
exports.uniqueId = uniqueId;
function toUnixPath(path) {
    return path.replace(/\\/g, '/');
}
exports.toUnixPath = toUnixPath;
function encodeFilePath(url) {
    try {
        return decodeSpace(encodeURI(decodeURI(url)));
    }
    catch (e) {
        return decodeSpace(encodeURI(url));
    }
}
exports.encodeFilePath = encodeFilePath;
function isString(value) {
    return typeof value === 'string' || value instanceof String;
}
exports.isString = isString;
async function ensureComponentsListExists(presentationPath) {
    const componentsJsPath = 'common/components/components.js';
    return await fs_extra_1.pathExists(path_1.join(presentationPath, componentsJsPath));
}
exports.ensureComponentsListExists = ensureComponentsListExists;
function decodeSpace(url) {
    return url.replace(/%20/g, ' ');
}
//# sourceMappingURL=utils.js.map